=== src/plugins/anhero/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_anhero)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

FIND_PACKAGE (KDE4 4.2.0)

IF (NOT KDE4_FOUND)
	MESSAGE (WARNING "KDE 4.2 or higher was not found, not building AnHero.")
	RETURN ()
ENDIF (NOT KDE4_FOUND)

INCLUDE (${QT_USE_FILE})
INCLUDE (KDE4Defaults)

INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${KDE4_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)
SET (SRCS
	anhero.cpp
	)
SET (HEADERS
	anhero.h
	)
SET (TRANSLATIONS
	leechcraft_anhero_ru_RU.ts
	leechcraft_anhero_uk_UA.ts
	leechcraft_anhero_ar.ts
	leechcraft_anhero_de.ts
	leechcraft_anhero_fr.ts
	leechcraft_anhero_oc.ts
	leechcraft_anhero_en.ts
	)
SET (RESOURCES anheroresources.qrc)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_fr.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_oc.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_en.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_anhero SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_anhero
	${QT_LIBRARIES}
	${KDE4_KUTILS_LIBS}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_anhero DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})
