## leechcraft 0.4.55-maemo-1

=== debian/changelog ===
leechcraft (0.4.55-maemo-1) unstable; urgency=low

  * Inital Release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:39:33 +0300

leechcraft (0.4.55+trunk0-1) unstable; urgency=low

  * New upstream version (Closes: #607440)

 -- Daniel Guzanoff <melkor217@gmail.com>  Fri, 03 Dec 2010 03:01:44 +0300
