=== debian/control ===
Source: leechcraft
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),
 cdbs,
 cmake (>= 2.6),
 libboost1.42-all-dev,
 libboost-thread1.42-dev,
 libboost-date-time1.42-dev,
 libboost-filesystem1.42-dev,
 libboost-regex1.42-dev,
 libboost-program-options1.42-dev,
 libbz2-dev,
 libqjson-dev,
 libqxmpp-dev,
 libqt4-dev (>= 4.6.0)
Standards-Version: 3.9.1
Homepage: http://leechcraft.org

Package: leechcraft-full
Architecture: any
Depends: ${misc:Depends},
 libqt4-sql-sqlite (>= 4.6.0),
 leechcraft (= ${binary:Version}),
 leechcraft-aggregator (= ${binary:Version}),
 leechcraft-anhero (= ${binary:Version}),
 leechcraft-auscrie (= ${binary:Version}),
 leechcraft-chatter  (= ${binary:Version}),
 leechcraft-cstp (= ${binary:Version}),
 leechcraft-dbusmanager (= ${binary:Version}),
 leechcraft-deadlyrics (= ${binary:Version}),
 leechcraft-historyholder (= ${binary:Version}),
 leechcraft-kinotify (= ${binary:Version}),
 leechcraft-lcftp (= ${binary:Version}),
 leechcraft-lmp (= ${binary:Version}),
 leechcraft-networkmonitor (= ${binary:Version}),
 leechcraft-newlife (= ${binary:Version}),
 leechcraft-poshuku (= ${binary:Version}),
 leechcraft-poshuku-cleanweb (= ${binary:Version}),
 leechcraft-poshuku-filescheme (= ${binary:Version}),
 leechcraft-poshuku-fua (= ${binary:Version}),
 leechcraft-poshuku-wyfv (= ${binary:Version}),
 leechcraft-seekthru (= ${binary:Version}),
 leechcraft-summary (= ${binary:Version}),
 leechcraft-tabpp (= ${binary:Version}),
 leechcraft-vgrabber (= ${binary:Version})
Recommends:
 libqt4-sql-psql (>= 4.6.0)
Description: full LeechCraft installation
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.
 .
 This package is a meta package which installs all the LeechCraft's
 plugins.

Package: leechcraft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-sql-sqlite (>= 4.6.0), libqt4-sql-psql (>= 4.6.0),
 leechcraft-libxmlsettingsdialog0.3.0 (= ${binary:Version}),
 leechcraft-libplugininterface0.3.0 (= ${binary:Version}),
 leechcraft-iconset
Recommends: leechcraft-aggregator,
 leechcraft-auscrie,
 leechcraft-cstp,
 leechcraft-dbusmanager,
 leechcraft-deadlyrics,
 leechcraft-historyholder,
 leechcraft-kinotify,
 leechcraft-lcftp,
 leechcraft-lmp,
 leechcraft-networkmonitor,
 leechcraft-newlife,
 leechcraft-poshuku,
 leechcraft-poshuku-cleanweb,
 leechcraft-poshuku-filescheme,
 leechcraft-poshuku-fua,
 leechcraft-poshuku-wyfv,
 leechcraft-seekthru,
 leechcraft-summary,
 leechcraft-tabpp,
 leechcraft-vgrabber
Suggests: leechcraft-anhero
Description: core executable of LeechCraft
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.
 .
 This package contains the main LeechCraft executable, which connects
 all the plugins with each other, routes requests between them, tracks
 dependencies and performs several other housekeeping tasks.

Package: leechcraft-dev
Section: devel
Architecture: any
Depends: leechcraft (= ${binary:Version}),
 ${misc:Depends}
Description: files required for developmen for LeechCraft.
 This package contains header files required to develop new modules for
 LeechCraft.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.

Package: leechcraft-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: debug symbols for LeechCraft
 This package contains the debug symbols for LeechCraft and all the
 official plugins.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.

Package: leechcraft-libxmlsettingsdialog0.3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dynamic settings dialog builder for LeechCraft
 XmlSettingsDialog provides a simple but powerful and abstract way to
 create settings dialogs from XML files and store their (and not only)
 values.

Package: leechcraft-libplugininterface0.3.0
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: common library for LeechCraft
 A library providing some useful and commonly used routines as well as
 communications with the LeechCraft core.

Package: leechcraft-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-http
Provides: leechcraft-provider-feedreader
Recommends: leechcraft-provider-webbrowser,
 leechcraft-provider-tasksview
Description: RSS/Atom feed reader for LeechCraft
 This package contains Aggregator, the RSS/Atom feed reader. It features:
  * RSS 0.92/0.93/1.0/2.0, Atom 0.3/1.0;
  * extensions like GeoRSS, MediaRSS, Comment API etc; 
  * OPML support;
  * broadcatching and fetching arbitrary data with regexps;
  * tape mode for news display;
  * individual options for each channel like update interval;
  * storage either in SQLite or PostgreSQL;
  * exporting feeds to FB2 for further reading on handheld devices.
 .
 A web browser plugin is recommended to show the news in a fancy way.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-anhero
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: crash handler for LeechCraft
 This package contains AnHero, the crash handler for LeechCraft.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-auscrie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: screenshooter for LeechCraft
 This package contains Auscrie, the auto screenshooter for LeechCraft.
 It can make screenshots of LeechCraft and then either save them locally
 or upload them to an imagebin.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-chatter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: IRC client for LeechCraft
 This package contains a simple IRC client.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-cstp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-tasksview
Provides: leechcraft-provider-http
Description: HTTP client for LeechCraft
 This package contains clean and simple HTTP implementation.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-dbusmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Provides: leechcraft-provider-dbus
Description: D-Bus side of LeechCraft
 This package provides some DBus-related features, like integration with
 desktop notifications (KDE ≥ 4.4 and others supporting libnotify
 interfaces).
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-deadlyrics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-searchesview
Description: song lyrics finder for LeechCraft
 This package contains a simple client for finding song lyrics on
 various sites.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-historyholder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-searchesview
Description: history keeper for LeechCraft
 This package contains a history keeper that stores information about
 finished downloads and similar events.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-kinotify
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: fancy notifications for LeechCraft
 This package contains Kinotify which provides fancy notifications for
 LeechCraft instead of old-style tray-based ones.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-lmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Provides: leechcraft-provider-mediaplayer
Description: media previewer for LeechCraft
 This package contains the LMP, LeechCraft Media Previewer, small and
 dirty media player designed to preview already downloaded files or to
 stream media content live.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-lcftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-searchesview
Description: FTP client for LeechCraft
