## leechcraft 0.4.55-maemo-2

=== debian/changelog ===
leechcraft (0.4.55-maemo-2) unstable; urgency=low

  * Delete packages

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 17 Feb 2011 20:16:14 +0300
