=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Homepage: http://leechcraft.org
 
 Package: leechcraft-full
+Section: deleted
 Architecture: any
 Depends: ${misc:Depends},
  libqt4-sql-sqlite (>= 4.6.0),
@@ -45,8 +46,6 @@
  leechcraft-summary (= ${binary:Version}),
  leechcraft-tabpp (= ${binary:Version}),
  leechcraft-vgrabber (= ${binary:Version})
-Recommends:
- libqt4-sql-psql (>= 4.6.0)
 Description: full LeechCraft installation
  LeechCraft is a free modular "Internet client" application.
  .
@@ -63,32 +62,7 @@
 
 Package: leechcraft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libqt4-sql-sqlite (>= 4.6.0), libqt4-sql-psql (>= 4.6.0),
- leechcraft-libxmlsettingsdialog0.3.0 (= ${binary:Version}),
- leechcraft-libplugininterface0.3.0 (= ${binary:Version}),
- leechcraft-iconset
-Recommends: leechcraft-aggregator,
- leechcraft-auscrie,
- leechcraft-cstp,
- leechcraft-dbusmanager,
- leechcraft-deadlyrics,
- leechcraft-historyholder,
- leechcraft-kinotify,
- leechcraft-lcftp,
- leechcraft-lmp,
- leechcraft-networkmonitor,
- leechcraft-newlife,
- leechcraft-poshuku,
- leechcraft-poshuku-cleanweb,
- leechcraft-poshuku-filescheme,
- leechcraft-poshuku-fua,
- leechcraft-poshuku-wyfv,
- leechcraft-seekthru,
- leechcraft-summary,
- leechcraft-tabpp,
- leechcraft-vgrabber
-Suggests: leechcraft-anhero
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: core executable of LeechCraft
  LeechCraft is a free modular "Internet client" application.
  .
@@ -105,7 +79,7 @@
  dependencies and performs several other housekeeping tasks.
 
 Package: leechcraft-dev
-Section: devel
+Section: deleted
 Architecture: any
 Depends: leechcraft (= ${binary:Version}),
  ${misc:Depends}
@@ -124,7 +98,7 @@
  implementation.
 
 Package: leechcraft-dbg
-Section: debug
+Section: deleted
 Architecture: any
 Depends: ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -143,7 +117,7 @@
  implementation.
 
 Package: leechcraft-libxmlsettingsdialog0.3.0
-Section: libs
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: dynamic settings dialog builder for LeechCraft
@@ -152,7 +126,7 @@
  values.
 
 Package: leechcraft-libplugininterface0.3.0
-Section: libs
+Section: deleted
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
 Description: common library for LeechCraft
@@ -160,6 +134,7 @@
  communications with the LeechCraft core.
 
 Package: leechcraft-aggregator
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -187,6 +162,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-anhero
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -200,6 +176,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-auscrie
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -215,6 +192,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-chatter
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -228,6 +206,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-cstp
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -243,6 +222,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-dbusmanager
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -259,6 +239,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-deadlyrics
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -274,6 +255,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-historyholder
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -289,6 +271,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-kinotify
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -303,6 +286,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-lmp
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -319,8 +303,24 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-lcftp
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
  leechcraft-provider-searchesview
 Description: FTP client for LeechCraft
+ This package adds FTP support and provides a simple two-panel FTP
+ client based on libcurl.
+ .
+ LeechCraft is a free modular "Internet client" application.
+ .
+ LeechCraft allows to browse the web, read RSS/Atom feeds, download
+ files via BitTorrent, HTTP, FTP and DC, automatically stream,
+ download or play podcasts and other media files and much more.
+
+Package: leechcraft-networkmonitor
+Section: deleted
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ leechcraft (= ${binary:Version})
+Description: network monitor for LeechCraft
